export default {
	data() {
		return {
			//设置默认的分享参数
			//如果页面不设置share，就触发这个默认的分享
			share: {
				title: '嗨森逛',
				path: '/pages/tabBar/home/home',
				imageUrl: '',
				desc: '',
				content: ''
			},
			localPath: '',
			shareLink: '',
		}
	},
	methods: {
		//分享
		doShare() {

			const app = getApp();

			let that = this;
			// let theUrl = window.location.href;	
			that.localPath = window.location.href;
			that.shareLink = app.globalData.h5url + '?accountId=0000016&key=&code=' + that.localPath.split('#')[1];
			// console.log(theUrl.split('#')[0],decodeURIComponent(theUrl.split('#')[1]),theUrl,"theUrl",that.shareLink,"that.shareLink");

			let datas = {
				url: that.localPath.split('#')[0]
			}
			/* https://hsg.dctpay.com/hsgH5/index.html?code=081Zb4ml2gamsb4L3nnl2UArrO1Zb4mc&state=1#/physical-merchants/classify/goods-search/goods-search?goodsLabel=%E9%9B%B6%E5%85%83%E8%B4%AD */



			let api = require('../Utils/Api');
			let wx = require('weixin-js-sdk');
			api.verifyWx(datas).then(res => {
				if (res.return_code == '000000') {
					wx.config({
						debug: false, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
						appId: res.return_data.appId, // 必填，公众号的唯一标识
						timestamp: res.return_data.timestamp, // 必填，生成签名的时间戳
						nonceStr: res.return_data.nonceStr, // 必填，生成签名的随机串
						signature: res.return_data.signature, // 必填，签名，见附录1
						jsApiList: [
							'updateAppMessageShareData',
							'updateTimelineShareData',
						] // 必填，需要使用的JS接口列表，所有JS接口列表见附录2
					});



					/*  config信息验证后会执行ready方法，所有接口调用都必须在config接口获得结果之后，
					config是一个客户端的异步操作，所以如果需要在页面加载时就调用相关接口，则须把相关接口放在ready函数中调用来确保正确执行。
					对于用户触发时才调用的接口，则可以直接调用，不需要放在ready函数中。 */
					wx.ready(function() { //需在用户可能点击分享按钮前就先调用

						/* 分享给朋友 */
						wx.updateAppMessageShareData({
							title: '嗨森逛分享', // 分享标题
							// desc: '', // 分享描述
							link: that.shareLink, // 分享链接
							imgUrl: 'https://hsg.dctpay.com/filesystem/wxApplets/logo.png', // 分享图标
							success: function(res) {
								// 回调函数
								// uni.showToast({
								// 	title: '分享成功',
								// 	duration: 2000,
								// 	icon: 'none'
								// })
							},
							cancel: function(r) {},
							fail: function(res) {}
						});

						/* 自定义“分享到朋友圈” */
						wx.updateTimelineShareData({
							title: '嗨森逛分享', // 分享标题
							// desc: '', // 分享描述
							link: that.shareLink, // 分享链接
							imgUrl: 'https://hsg.dctpay.com/filesystem/wxApplets/logo.png', // 分享图标
							success: function(res) {
								
								// uni.showToast({
								// 	title: '分享成功',
								// 	duration: 2000,
								// 	icon: 'none'
								// })
							},
							cancel: function(r) {},
							fail: function(res) {}
						});

					});

					// wx.error(function(res) {
					// 	console.log(res);
					// 	// config信息验证失败会执行error函数，如签名过期导致验证失败，具体错误信息可以打开config的debug模式查看，也可以在返回的res参数中查看，对于SPA可以在这里更新签名。
					// });
				} else {
					uni.showToast({
						title: res.return_msg,
						duration: 2000,
						icon: 'none'
					})
				}
			})
		},
		//获取当前路由
		getCurrentRouteYm() {
			let currentRoutes = getCurrentPages(); // 获取当前打开过的页面路由数组

			console.log(currentRoutes[currentRoutes.length - 1]);
			let route = currentRoutes[currentRoutes.length - 1];
			// let currentRoute = currentRoutes[currentRoutes.length - 1].route //获取当前页面路由
			// let currentParam = currentRoutes[currentRoutes.length - 1].options; //获取路由参数
			// // 拼接参数
			// let param = [];
			// for (let key in currentParam) {
			// 	param.push(key + '=' + currentParam[key])
			// }
			// let currentPath = '/' + currentRoute;
			// let currentQuery = param.join('&');
			// if (currentQuery) currentPath += '?' + currentQuery;

			// return {
			// 	path: currentPath,
			// 	query: currentQuery,
			// }
			return decodeURIComponent(route.$page.fullPath)
		},

	},

	onLoad() {

		this.$nextTick(() => {
			// #ifdef H5
			this.doShare()
			// #endif
		})

	},
	/* 小程序分享 */
	onShareAppMessage(res) {
		this.share.path = this.getCurrentRouteYm();
		// console.log(this.share.path, "this.share.path", res);
		return {
			title: this.share.title,
			path: this.share.path,
			imageUrl: this.share.imageUrl,
			desc: this.share.desc,
			content: this.share.content,
			success(res) {
				uni.showToast({
					title: '分享成功'
				})
			},
			fail(res) {
				uni.showToast({
					title: '分享失败',
					icon: 'none'
				})
			}
		}
	}
}
